Subject: Re: Invoice 1237006
From: "LLPS Customer Service" <[email-masked]>
To: <[email-masked]>
Date: Mon, 18 Apr 2011 11:33:28 -0400

James,
Payment was applied on April 5th and cleared the 6th or 7th.  The invoice probably just crossed in the mail.  Sorry for any confusion.
Thank you,
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: [email-masked] 
  To: Labor Poster 
  Sent: Monday, April 18, 2011 10:10 AM
  Subject: Fwd: Invoice 1237006

  I just received another bill on this product and it is saying we are 30 days past due notice.  As you can see from this attachment that I am sending back to you we have already paid.  Is there something that I am missing?

  Thanks,
  James Frogge
  Frogge's Electrical 
  (615)847-1281

  ----- Forwarded Message -----
  From: "Labor Law Poster Service" <[email-masked]>
  To: [email-masked]
  Sent: Tuesday, April 5, 2011 12:42:35 PM
  Subject: Invoice 1237006

          
  -------------------------
  Thank you for your order. Your invoice is attached.

  This is an automatically generated message from Labor Law Poster Service. 
  UID: 578